QGIS Application - Bug report #20977
Merge Raster fails with ImportError: No module named _gdal_array
2019-01-11 04:57 PM - David Jordan

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:3.4.3 Regression?: No
Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 28796
Description

| attempted to merge several DEMs downloaded as GeoTiff rasters, but Merge Raster fails with ImportError: No module named
_gdal_array.

Command | used was Processing - Raster miscellaneous - Merge

Used various setting: Int16, Float32, Profile default and with high compression, still fails. An empty 'nan’ raster was also generated.
Another QGIS user report same error, so it's not unique to me.

Here's the error:

File "C:\OSGEQO4~1\apps\Python27\lib\importlib\__init __.py", line 37, in import_module

import(name)

ImportError: No module named _gdal_array

Perhaps Gdal was compiled without gdal_array? Curiously, QGIS 2.18 LTR is also affected.

Related issues:
Duplicates QGIS Application - Bug report # 20895: Raster Merge Failure Closed 2018-12-30

History

#1 - 2019-01-11 05:43 PM - Jiirgen Fischer
- Duplicates Bug report #20895: Raster Merge Failure added

#2 - 2019-01-11 05:43 PM - Jiirgen Fischer

- Resolution set to duplicate
- Status changed from Open to Closed
